addTicketWatcher
Add a user to the ticket watchers
addTicketWatcher(
input: AddTicketWatcherInput!
): AddTicketWatcherPayload
Arguments
addTicketWatcher.input ● AddTicketWatcherInput! non-null input
Parameters for AddTicketWatcher
Type
AddTicketWatcherPayload object
Autogenerated return type of AddTicketWatcher.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the tickets query first and use data.tickets.collection[].id as ticketId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateAddTicketWatcher($input: AddTicketWatcherInput!) {\n addTicketWatcher(input: $input) { clientMutationId errors { message } ticket { id title status } }\n}","variables":{"input":{"ticketId":"<ticket_id>","scopeId":"<scope_id>","portalUserId":"<portal_user_id>"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateAddTicketWatcher($input: AddTicketWatcherInput!) {\n addTicketWatcher(input: $input) { clientMutationId errors { message } ticket { id title status } }\n}",
variables: {
"input": {
"ticketId": "<ticket_id>",
"scopeId": "<scope_id>",
"portalUserId": "<portal_user_id>"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateAddTicketWatcher($input: AddTicketWatcherInput!) {\n addTicketWatcher(input: $input) { clientMutationId errors { message } ticket { id title status } }\n}",
'variables': json.loads("{\"input\":{\"ticketId\":\"<ticket_id>\",\"scopeId\":\"<scope_id>\",\"portalUserId\":\"<portal_user_id>\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute